> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google 酒店详情

> 获取酒店的地址、设施、位置评分、评分分布、评价话题以及各预订网站的报价。

# Google 酒店详情

Google Hotels 上关于一家酒店的全部信息，整理成一行返回：地址、电话、官网、入住时间、设施清单，周边交通、餐饮、景点的位置评分，各星级评价的占比，住客常夸或常吐槽的话题，其他点评网站上的评分，以及各预订网站对这次入住的报价。做价格一致性检查、竞争酒店分析，或者在自己的产品里展示更完整的酒店页，都合适。

```json theme={"dark"}
{
  "hotel_id": "ChoIyKbJ6puqvPf8ARoNL2cvMTFqNHR2MjczeBAB",
  "currency": "USD"
}
```

通过 hotel\_id 提供 Google 酒店搜索结果中 id 字段的值。传入 check\_in 和 check\_out（格式 YYYY-MM-DD）可获取这几天的报价，不传时按明天入住一晚报价。每次请求计 2 积分，返回一行；hotel\_id 无效时不返回结果，仍照常计费。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 酒店 ID，可传给 Hotel Details 或 Hotel Prices 使用。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 酒店在 Google Hotels 上的地址。 |
| `published_at` | `string` | 是 | 源内容的发布时间（如可获得），使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `name` | `string` | 是 | 酒店名称。 |
| `text` | `string` | 是 | 酒店简介（仅详情接口）。 |
| `stars` | `integer` | 是 | 酒店星级，取值 1 到 5。 |
| `rating` | `number` | 是 | 住客平均评分，取值 1 到 5。 |
| `reviews_count` | `integer` | 是 | 住客评价数量。 |
| `price` | `object` | 是 | 该次入住的最低每晚价格。 |
| `price.amount` | `number` | 是 | 价格数值。 |
| `price.currency` | `string` | 是 | 价格的三位币种代码。 |
| `price.formatted` | `string` | 是 | 带币种代码的价格，例如 `USD 176`。 |
| `check_in` | `string` | 是 | 价格对应的入住日期，格式为 YYYY-MM-DD。 |
| `check_out` | `string` | 是 | 价格对应的离店日期，格式为 YYYY-MM-DD。 |
| `is_sponsored` | `boolean` | 是 | 该条目是否为付费推广位。 |
| `address` | `string` | 是 | 酒店街道地址（仅详情接口）。 |
| `phone` | `string` | 是 | 酒店电话（仅详情接口）。 |
| `website` | `string` | 是 | 酒店官网（仅详情接口）。 |
| `location` | `object` | 是 | 酒店所在位置。 |
| `location.name` | `string` | 是 | 酒店所在街区（仅详情接口）。 |
| `location.city` | `string` | 是 | 城市名称。 |
| `location.region` | `string` | 是 | 地区、州或省份名称。 |
| `location.country` | `string` | 是 | 国家或地区名称或代码。 |
| `location.latitude` | `number` | 是 | 十进制度格式的纬度。 |
| `location.longitude` | `number` | 是 | 十进制度格式的经度。 |
| `location_scores` | `object` | 是 | 位置评分，取值 1 到 5（仅详情接口）。 |
| `location_scores.overall` | `number` | 是 | 位置综合评分。 |
| `location_scores.things_to_do` | `number` | 是 | 周边景点与活动评分。 |
| `location_scores.restaurants` | `number` | 是 | 周边餐厅评分。 |
| `location_scores.transit` | `number` | 是 | 公共交通便利度评分。 |
| `location_scores.airport_access` | `number` | 是 | 前往机场的便利度评分。 |
| `check_in_time` | `string` | 是 | 最早入住时间，格式为 HH:MM（仅详情接口）。 |
| `check_out_time` | `string` | 是 | 最晚退房时间，格式为 HH:MM（仅详情接口）。 |
| `amenities` | `array<string>` | 是 | 酒店提供的设施，例如 `Free Wi-Fi` 或 `Pool`（仅详情接口）。 |
| `rating_distribution` | `array<object>` | 是 | 各星级住客评价的占比（仅详情接口）。 |
| `rating_distribution.stars` | `integer` | 是 | 评分星级，取值 1 到 5。 |
| `rating_distribution.share` | `number` | 是 | 该星级评价所占比例，取值 0 到 1。 |
| `review_topics` | `array<object>` | 是 | 住客评价中提到的话题及其评价倾向（仅详情接口）。 |
| `review_topics.name` | `string` | 是 | 话题，例如 `Location` 或 `Breakfast`。 |
| `review_topics.positive_count` | `integer` | 是 | 对该话题给出正面评价的评价数。 |
| `review_topics.negative_count` | `integer` | 是 | 对该话题给出负面评价的评价数。 |
| `review_topics.mentions_count` | `integer` | 是 | 提到该话题的评价数。 |
| `other_reviews` | `array<object>` | 是 | 酒店在其他点评网站上的评分（仅详情接口）。 |
| `other_reviews.source` | `string` | 是 | 点评网站名称。 |
| `other_reviews.url` | `string` | 是 | 该网站上酒店评价页的地址。 |
| `other_reviews.rating` | `number` | 是 | 该网站上的评分，满分 5。 |
| `other_reviews.reviews_count` | `integer` | 是 | 该网站上的评价数量。 |
| `other_reviews.text` | `string` | 是 | 来自该网站的一段评价摘录。 |
| `offers` | `array<object>` | 是 | 各预订网站对该次入住的报价（仅详情接口）。 |
| `offers.seller` | `string` | 是 | 预订网站或酒店自身。 |
| `offers.price` | `object` | 是 | 该网站的每晚价格。 |
| `offers.price.amount` | `number` | 是 | 价格数值。 |
| `offers.price.currency` | `string` | 是 | 价格的三位币种代码。 |
| `offers.price.formatted` | `string` | 是 | 带币种代码的价格，例如 `USD 176`。 |
| `offers.url` | `string` | 是 | Google Hotels 上该网站的预订链接。 |
| `offers.is_official` | `boolean` | 是 | 该报价是否来自酒店官网。 |
| `offers.is_sponsored` | `boolean` | 是 | 该报价是否为付费推广位。 |
| `offers.free_cancellation_until` | `string` | 是 | 可免费取消的截止时间（如提供）。 |
| `images` | `array<string>` | 是 | 酒店照片的地址。 |
| `rank` | `integer` | 是 | 酒店在搜索结果中的位置，从 1 开始（仅搜索接口）。 |
| `query` | `string` | 是 | 结果所对应的搜索（仅搜索接口）。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={"dark"}
{
  "code": 200,
  "data": {
    "task_id": "example-google-hotels-hotel-details",
    "status": "succeeded",
    "public_id": "google-hotels/hotel-details",
    "result_count": 1,
    "credits_amount": 2,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "hotel",
      "schema_version": "1.0",
      "items": [
        {
          "id": "ChoIyKbJ6puqvPf8ARoNL2cvMTFqNHR2MjczeBAB",
          "platform": "google-hotels",
          "resource": "hotel-details",
          "type": "hotel",
          "url": "https://www.google.com/travel/hotels/entity/ChoIyKbJ6puqvPf8ARoNL2cvMTFqNHR2MjczeBAB",
          "published_at": null,
          "collected_at": "2026-11-17T23:54:22.651788Z",
          "name": "The Rockaway Hotel",
          "text": null,
          "stars": 4,
          "rating": 4.6,
          "reviews_count": 1791,
          "price": {
            "amount": 206,
            "currency": "USD",
            "formatted": "USD 206"
          },
          "check_in": "2026-11-18",
          "check_out": "2026-11-19",
          "is_sponsored": null,
          "address": "108-10 Rockaway Beach Dr, Rockaway Park, NY 11694",
          "phone": "+17184741216",
          "website": "https://www.therockawayhotel.com/",
          "location": {
            "name": "Queens",
            "city": null,
            "region": null,
            "country": null,
            "latitude": 40.5815002,
            "longitude": -73.8300876
          },
          "location_scores": {
            "overall": 3.2,
            "things_to_do": 2.9,
            "restaurants": 3.1,
            "transit": 4.8,
            "airport_access": 4.1
          },
          "check_in_time": "15:00",
          "check_out_time": null,
          "amenities": [
            "Wi-Fi",
            "Wi-Fi in public areas",
            "Public internet workstation"
          ],
          "rating_distribution": [
            {
              "stars": 5,
              "share": 0.8
            },
            {
              "stars": 4,
              "share": 0.1
            },
            {
              "stars": 3,
              "share": 0.04
            }
          ],
          "review_topics": [
            {
              "name": "Wellness",
              "positive_count": 135,
              "negative_count": 17,
              "mentions_count": 166
            },
            {
              "name": "Spa",
              "positive_count": 118,
              "negative_count": 14,
              "mentions_count": 146
            },
            {
              "name": "Pool",
              "positive_count": 110,
              "negative_count": 9,
              "mentions_count": 130
            }
          ],
          "other_reviews": [
            {
              "source": "Tripadvisor",
              "url": "https://www.tripadvisor.com/ShowUserReviews-g48508-d20404929-r1075778183?m=68573&staydates=2026_11_29_2026_11_30&uguests=1_2_0&supdv=desktop&supuc=US&supul=en",
              "rating": 4.300000190734863,
              "reviews_count": 229,
              "text": "Ritz Carlton level of service, if not higher, in every place around the hotel.  We experienced 95% of what they have to offer and it was all A+"
            },
            {
              "source": "Trip.com",
              "url": "https://www.trip.com/hotels/detail?hotelid=58601219&Allianceid=810504&Sid=1394411&utm_medium=cpc&utm_campaign=HPA&utm_source=google#review",
              "rating": 4.300000190734863,
              "reviews_count": 104,
              "text": "Probably better to book directly with Hotel. State of emergency and no one could help with adjusting our day. It is a nice place, the service is great. However during checkout I noticed added charges, that I am waiting getting fixed."
            }
          ],
          "offers": [
            {
              "seller": "Hotels.com",
              "price": {
                "amount": 206,
                "currency": "USD",
                "formatted": "USD 206"
              },
              "url": "https://google.com/aclk?sa=l&ai=DChsSEwjttMLnmZCYAxXitwMAHVzMBpsYACICCAEQARoCb2E&co=1&ase=2&gclid=EAIaIQobChMI7bTC55mQmAMV4rcDAB1czAabEAoYASABEgJifPD_BwE&cid=CAASuwHkaPZGjV1Mq-rp2nJFK8IwrwvExCeiQ-H7JdZScQOaNHYbOnPrxOrOshynrHx1nps2GLS3FcI8-U_6tm8S7rW0XgbU_KWDb4lANIgiwmAW1eLKd7PVl6ORhZmNF61LRbIilr48s28ExFa_PDulRDbqdoMj4y-HCwb_E8wCMBjxi09GWoGQAA4y0eYh-UZyjIF6dGPQ04aY2SrGkmi06OIbcBO__XBhpwwA4m7iUuINsL-Nal6VJL9af7gl&category=acrcp_v1_48&sig=AOD64_2mDalbcTS5poMt_i4t-CfoMuV9DQ&adurl",
              "is_official": false,
              "is_sponsored": true,
              "free_cancellation_until": null
            },
            {
              "seller": "Priceline",
              "price": {
                "amount": 240,
                "currency": "USD",
                "formatted": "USD 240"
              },
              "url": "https://google.com/aclk?sa=l&ai=DChsSEwjttMLnmZCYAxXitwMAHVzMBpsYACICCAEQDRoCb2E&co=1&ase=2&gclid=EAIaIQobChMI7bTC55mQmAMV4rcDAB1czAabEAoYAiABEgKBWfD_BwE&cid=CAASuwHkaPZGjV1Mq-rp2nJFK8IwrwvExCeiQ-H7JdZScQOaNHYbOnPrxOrOshynrHx1nps2GLS3FcI8-U_6tm8S7rW0XgbU_KWDb4lANIgiwmAW1eLKd7PVl6ORhZmNF61LRbIilr48s28ExFa_PDulRDbqdoMj4y-HCwb_E8wCMBjxi09GWoGQAA4y0eYh-UZyjIF6dGPQ04aY2SrGkmi06OIbcBO__XBhpwwA4m7iUuINsL-Nal6VJL9af7gl&category=acrcp_v1_48&sig=AOD64_3ChNPm9Bp1ahmfS6DbEfne0GmUWQ&adurl",
              "is_official": false,
              "is_sponsored": true,
              "free_cancellation_until": null
            },
            {
              "seller": "Expedia.com",
              "price": {
                "amount": 206,
                "currency": "USD",
                "formatted": "USD 206"
              },
              "url": "https://google.com/aclk?sa=l&ai=DChsSEwjttMLnmZCYAxXitwMAHVzMBpsYACICCAEQERoCb2E&co=1&ase=2&gclid=EAIaIQobChMI7bTC55mQmAMV4rcDAB1czAabEAoYAyABEgI9cvD_BwE&cid=CAASuwHkaPZGjV1Mq-rp2nJFK8IwrwvExCeiQ-H7JdZScQOaNHYbOnPrxOrOshynrHx1nps2GLS3FcI8-U_6tm8S7rW0XgbU_KWDb4lANIgiwmAW1eLKd7PVl6ORhZmNF61LRbIilr48s28ExFa_PDulRDbqdoMj4y-HCwb_E8wCMBjxi09GWoGQAA4y0eYh-UZyjIF6dGPQ04aY2SrGkmi06OIbcBO__XBhpwwA4m7iUuINsL-Nal6VJL9af7gl&category=acrcp_v1_48&sig=AOD64_0DwzYWyJs-1IEsz6XQB34gWzq9MA&adurl",
              "is_official": false,
              "is_sponsored": true,
              "free_cancellation_until": null
            }
          ],
          "images": [
            "https://lh3.googleusercontent.com/grass-cs/AABkmLfo__PIr6n9Zm8EP9Vl8usPu2VfsitYLenrvlQRE3y0W-kJNPC7LAVu6rqk2E6a1DqNEvUB9VVo0QvDeyoKDsJZf6FUtzDj-sKTGR2KmT9OYV6KQ1tm-PictQy9dHYUKEyqW5ZK=s287-w287-h192-n-k-no-v1",
            "https://lh3.googleusercontent.com/grass-cs/AABkmLcPSuGEN38ayG11FEdE-3bkuUoo8cdJFyPlOb84MjOd53IDUnYC81kcSVr62wQEDVapW1rTfpghJ5ynGrnBzS6KcpbaCIarNm61FplOJmWxguIRpLseHioQqkVIRpRnsG4DV7Qx8g=s287-w287-h192-n-k-no-v1",
            "https://lh3.googleusercontent.com/grass-cs/AABkmLfOoJ-il_uwZFzkQQdsFJkC5mvJA--sBQ3PW3A6wIaQ5DoS2a-1C225Lmxv3QEx8_UWaCsB-nXWfZ-ztn36i-_X0f-_8Shqz9R4T03KQmRQV6bT7mvSJIEhDypyJwmVOKAW7x7-UA=s287-w287-h192-n-k-no-v1"
          ],
          "rank": null,
          "query": null
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/google-hotels/hotel-details
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-87892a6484c2
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/google-hotels/hotel-details:
    post:
      tags:
        - google-hotels
      summary: Google 酒店详情
      description: 获取酒店的地址、设施、位置评分、评分分布、评价话题以及各预订网站的报价。
      operationId: socq_google_hotels_hotel_details
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                check_in:
                  type: string
                  pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
                  description: 入住日期，格式为 YYYY-MM-DD，默认明天；需与 check_out 一起提供。
                check_out:
                  type: string
                  pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
                  description: 离店日期，格式为 YYYY-MM-DD，需晚于 check_in，最长 30 晚。
                currency:
                  type: string
                  pattern: ^[A-Za-z]{3}$
                  description: 价格币种的三位代码，例如 USD 或 EUR。
                hotel_id:
                  type: string
                  minLength: 1
                  description: Google 酒店搜索结果中 id 字段的酒店 ID。
                language_code:
                  type: string
                  minLength: 2
                  maxLength: 10
                  default: en
                  description: 结果的语言代码，默认 en。
                location_code:
                  type: integer
                  minimum: 1
                  description: 搜索市场的位置代码，默认 2840（美国）。
                  default: 2840
              required:
                - hotel_id
              description: >-
                通过 hotel_id 提供 Google 酒店搜索结果中 id 字段的值。传入 check_in 和 check_out（格式
                YYYY-MM-DD）可获取这几天的报价，不传时按明天入住一晚报价。每次请求计 2 积分，返回一行；hotel_id
                无效时不返回结果，仍照常计费。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.